Index: npl/overig/libsodium/libsodium.SlackBuild
===================================================================
--- npl/overig/libsodium/libsodium.SlackBuild	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium.SlackBuild	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/l/libsodium/
+# Created at Wed 01 Jun 2022 03:57:33 PM CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./libsodium.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/libsodium/libsodium.SlackBuild.orig
===================================================================
--- npl/overig/libsodium/libsodium.SlackBuild.orig	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium.SlackBuild.orig	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,146 @@
+#!/bin/bash
+
+# Copyright 2017, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libsodium
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$(uname -m)" in
+    i?86) ARCH=i586 ;;
+    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *) ARCH=$(uname -m) ;;
+  esac
+  export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --sysconfdir=/etc \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --disable-static \
+  --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+) || true
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS ChangeLog COPYING* LICENSE* NEWS README* THANKS TODO \
+  $PKG/usr/doc/${PKGNAM}-$VERSION || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 2000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/overig/libsodium/libsodium.arch
===================================================================
--- npl/overig/libsodium/libsodium.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/libsodium/libsodium.build
===================================================================
--- npl/overig/libsodium/libsodium.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/libsodium/libsodium.md5
===================================================================
--- npl/overig/libsodium/libsodium.md5	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium.md5	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,7 @@
+3bebc2885775428aa4b5a1edd8edaaf7  ./libsodium-1.0.18.tar.lz
+90e8bd4ec30881e8670692f76cd85cde  ./libsodium_dev.pkg
+8d570c3a4f59484e662953e958017155  ./libsodium.pkg
+837b1734121853c43173dba85084ce96  ./libsodium.SlackBuild
+764ac154e9a0a429044488f6aea68e5a  ./libsodium.SlackBuild.log.gz
+c984134c66914312d48e9ab60bd7bee7  ./libsodium.SlackBuild.orig
+182f95f7f7b8b353aafd823c81f225a1  ./slack-desc
Index: npl/overig/libsodium/libsodium.version
===================================================================
--- npl/overig/libsodium/libsodium.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1.0.18
Index: npl/overig/libsodium/libsodium_dev.arch
===================================================================
--- npl/overig/libsodium/libsodium_dev.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium_dev.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/libsodium/libsodium_dev.build
===================================================================
--- npl/overig/libsodium/libsodium_dev.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium_dev.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/libsodium/libsodium_dev.version
===================================================================
--- npl/overig/libsodium/libsodium_dev.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/libsodium_dev.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1.0.18
Index: npl/overig/libsodium/slack-desc
===================================================================
--- npl/overig/libsodium/slack-desc	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/libsodium/slack-desc	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+         |-----handy-ruler------------------------------------------------------|
+libsodium: libsodium (Sodium crypto library)
+libsodium:
+libsodium: Sodium is a library for encryption, decryption, signatures, password
+libsodium: hashing and more. It is a portable, cross-compilable, installable,
+libsodium: packageable fork of NaCl, with a compatible API, and an extended API
+libsodium: to improve usability even further.
+libsodium:
+libsodium: Its goal is to provide all of the core operations needed to build
+libsodium: higher-level cryptographic tools.
+libsodium:
+libsodium: Homepage: https://libsodium.org
